From cf9aed6fd90c5197a61f4e3c135302a963b7252e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 15 2020 22:50:49 +0000
Subject: [PATCH 1399/2232] Add Unpin to autotraits test


---

diff --git a/tests/ui/opaque_autotraits.rs b/tests/ui/opaque_autotraits.rs
index 4417717..322a000 100644
--- a/tests/ui/opaque_autotraits.rs
+++ b/tests/ui/opaque_autotraits.rs
@@ -1,3 +1,5 @@
+use std::marker::Unpin;
+
 #[cxx::bridge]
 mod ffi {
     extern "C++" {
@@ -7,8 +9,10 @@ mod ffi {
 
 fn assert_send<T: Send>() {}
 fn assert_sync<T: Sync>() {}
+fn assert_unpin<T: Unpin>() {}
 
 fn main() {
     assert_send::<ffi::Opaque>();
     assert_sync::<ffi::Opaque>();
+    assert_unpin::<ffi::Opaque>();
 }
diff --git a/tests/ui/opaque_autotraits.stderr b/tests/ui/opaque_autotraits.stderr
index 7a1e226..7ce8ae4 100644
--- a/tests/ui/opaque_autotraits.stderr
+++ b/tests/ui/opaque_autotraits.stderr
@@ -1,10 +1,10 @@
 error[E0277]: `*const u8` cannot be sent between threads safely
-  --> $DIR/opaque_autotraits.rs:12:5
+  --> $DIR/opaque_autotraits.rs:15:5
    |
-8  | fn assert_send<T: Send>() {}
+10 | fn assert_send<T: Send>() {}
    |                   ---- required by this bound in `assert_send`
 ...
-12 |     assert_send::<ffi::Opaque>();
+15 |     assert_send::<ffi::Opaque>();
    |     ^^^^^^^^^^^^^^^^^^^^^^^^^^ `*const u8` cannot be sent between threads safely
    |
    = help: within `ffi::Opaque`, the trait `Send` is not implemented for `*const u8`
@@ -13,12 +13,12 @@ error[E0277]: `*const u8` cannot be sent between threads safely
    = note: required because it appears within the type `ffi::Opaque`
 
 error[E0277]: `*const u8` cannot be shared between threads safely
-  --> $DIR/opaque_autotraits.rs:13:5
+  --> $DIR/opaque_autotraits.rs:16:5
    |
-9  | fn assert_sync<T: Sync>() {}
+11 | fn assert_sync<T: Sync>() {}
    |                   ---- required by this bound in `assert_sync`
 ...
-13 |     assert_sync::<ffi::Opaque>();
+16 |     assert_sync::<ffi::Opaque>();
    |     ^^^^^^^^^^^^^^^^^^^^^^^^^^ `*const u8` cannot be shared between threads safely
    |
    = help: within `ffi::Opaque`, the trait `Sync` is not implemented for `*const u8`

